////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.sync.xfire;

public class GlobalConstants {

  /** The <code>Account</code> name **/
  public static final String ACCOUNT_NAME = "XFire Account";

  /** The <code>Account</code> type **/
  public static final String ACCOUNT_TYPE = "org.watto.program.android.sync.xfire";

  /** The Authentication Token (password) type **/
  public static final String AUTHTOKEN_TYPE = "org.watto.program.android.sync.xfire";

  /** The callback <code>URL</code> for capturing and recording the users security token and secret **/
  public static final String CALLBACK_URL = "http://watto.callback";
  
  /** The MIME type prefix to use for new Contact data types **/
  public static final String MIME_TYPE_PREFIX = "org.watto.program.android.sync.data.";
  
  /** The default time to wait between re-syncing (1 hour) **/
  public static final long DEFAULT_SYNC_INTERVAL = 3600;

}
